package jp.hsj.junknews;

import java.io.*;
import java.util.*;
import java.text.*;
import javax.xml.*;
import javax.xml.parsers.*;
import javax.xml.transform.*;
import javax.xml.transform.dom.*;
import javax.xml.transform.stream.*;
import org.w3c.dom.*;

public class HTMLTranspoter {
  
  public static void main(String[] args) throws Exception{
    Junknews     junknews = new Junknews();
    TextImporter ti       = new TextImporter();
    Document     doc      = null;
    DOMSource    domSrc   = null;
    Transformer  trans    = null;

    
    ti.setDateString(args[0]);
    ti.setSourceTextFile(args[1]);
    trans    = getTransformer(args[2]);
    junknews = ti.importFromTextFile();
    doc      = junknews.makeDocument();
    domSrc   = new DOMSource(doc);
    trans.transform(domSrc, new StreamResult(System.out));
  }
  
  private static Transformer getTransformer(String xslFilePath) throws TransformerException{
    Source             xslSource = new StreamSource(new File(xslFilePath));
    TransformerFactory tf        = TransformerFactory.newInstance();
    Transformer        trans     = tf.newTransformer(xslSource);
    return trans;
  }
  
}