<?xml version="1.0" encoding="shift_jis" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:output method="xml" indent="yes"/>
  <xsl:template match="/">
    <xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="junknews">
	<xsl:element name="h3">
	  <xsl:value-of select="substring(@date, 1, 4)"/>N<xsl:value-of select="substring(@date, 6, 2)"/><xsl:value-of select="substring(@date, 9, 2)"/>
	</xsl:element>
	<xsl:apply-templates select="news">
	  <xsl:sort select="@date"/>
	  <xsl:sort select="@genre"/>
	</xsl:apply-templates>
  </xsl:template>
  <xsl:template match="news">
	<!-- W̍ŏŃ^Cg\ULJ܂ -->
    <xsl:if test="../news[@genre=current()/@genre][position()=1]=.">
	  <xsl:element name="h4">
		<xsl:value-of select="@genre"/>
	  </xsl:element>
	  <xsl:text disable-output-escaping="yes">&lt;div class="news_genre"&gt;</xsl:text>
	  <xsl:text disable-output-escaping="yes">&lt;ul class="news"&gt;</xsl:text>
    </xsl:if>
	<li>
	  <xsl:apply-templates/>
	</li>
	<!-- W̍ŌUL܂ -->
    <xsl:if test="../news[@genre=current()/@genre][position()=last()]=.">
	  <xsl:text disable-output-escaping="yes">&lt;/ul&gt;</xsl:text>
	  <xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
    </xsl:if>
  </xsl:template>

  <xsl:template match="title">
    <xsl:if test="@href!=''">
	  <a target="_blank">
		<xsl:attribute name="href">
		  <xsl:value-of select="@href"/>
		</xsl:attribute>
		<xsl:value-of select="."/>
	  </a>
	</xsl:if>
    <xsl:if test="@href=''">
	  <xsl:value-of select="."/>
    </xsl:if>
	<xsl:element name="br">
	</xsl:element>
  </xsl:template>
  <xsl:template match="comment" >
	<xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="br">
	<xsl:element name="br">
	</xsl:element>
  </xsl:template>
  <xsl:template match="strong">
    <strong>
      <xsl:apply-templates/>
    </strong>
  </xsl:template>
  <xsl:template match="a">
    <a>
      <xsl:attribute name="href">
        <xsl:value-of select="@href"/>
      </xsl:attribute>
      <xsl:apply-templates/>
    </a>
  </xsl:template>
</xsl:stylesheet>
